Bug 160251 - [PATCH] www/webkit-gtk2 to avoid Midori's crash when we add bookmark on Speed Dial page
Summary: [PATCH] www/webkit-gtk2 to avoid Midori's crash when we add bookmark on Speed...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-28 09:40 UTC by Olivier Duchateau
Modified: 2011-10-14 17:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.82 KB, patch)
2011-08-28 09:40 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau 2011-08-28 09:40:10 UTC
With Midori (any version), when we want to add bookmark on speed dial page, It crashes.

It's known bug:
- https://bugs.launchpad.net/midori/+bug/736427
- https://bugzilla.redhat.com/show_bug.cgi?id=657683

Upstream (WebKit folk) made a patch, https://bugs.webkit.org/show_bug.cgi?id=50173 to fix this issue.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-08-28 09:40:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Olivier Duchateau 2011-08-28 10:23:07 UTC
Oops, In my previous post, I forgot to mention, that I clean
CONFIGURE_ARGS macros, because some options are enabled by default
like icon-database, and svg related stuff.


2011/8/28, edwin@freebsd.org <edwin@freebsd.org>:
> Synopsis: [PATCH] www/webkit-gtk2 to avoid Midori's crash when we add
> bookmark on Speed Dial page
>
> Responsible-Changed-From-To: freebsd-ports-bugs->gnome
> Responsible-Changed-By: edwin
> Responsible-Changed-When: Sun Aug 28 08:40:20 UTC 2011
> Responsible-Changed-Why:
> Over to maintainer (via the GNATS Auto Assign Tool)
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=160251
> _______________________________________________
> freebsd-gnome@freebsd.org mailing list
> http://lists.freebsd.org/mailman/listinfo/freebsd-gnome
> To unsubscribe, send any mail to "freebsd-gnome-unsubscribe@freebsd.org"
>


-- 
olivier
Comment 3 Olivier Duchateau 2011-09-03 13:37:37 UTC
This patch is also necessary with newer version of webkitgtk (1.4.3).

-- 
olivier
Comment 4 Koop Mast 2011-09-15 11:13:19 UTC
I only found some developer discussion about the directory upload
feature, before it was committed to the webkit repo? Do you have a
specific reason why we should enable it?
Comment 5 Olivier Duchateau 2011-09-16 05:27:25 UTC
I don't have a specific reason, I thought, Midori uses this functionnality.

2011/9/15 Koop Mast <kwm@rainbow-runner.nl>:
> I only found some developer discussion about the directory upload
> feature, before it was committed to the webkit repo? Do you have a
> specific reason why we should enable it?
>
>



-- 
olivier
Comment 6 dfilter service freebsd_committer 2011-10-14 17:08:24 UTC
kwm         2011-10-14 16:08:10 UTC

  FreeBSD ports repository

  Modified files:
    www/webkit-gtk2      Makefile distinfo 
  Added files:
    www/webkit-gtk2/files 
                          patch-Source_WebCore_plugins_gtk_PluginViewGtk.cpp 
                          patch-Source_WebKit_gtk_webkit_webkitwebview.cpp 
  Log:
  Update to 1.4.3.
  
  Fix a crash in midori [1]
  Fix build with clang [2]
  
  PR:             ports/160251 [1]
                  ports/160538 [2]
  Reported by:    rene@ [2]
  Submitted by:   Olivier Duchateau <duchateau.olivier@gmail.com> [1]
                  Andrei Lavreniyuk <andy.lavr@gmail.com> [2]
  Obtained from:  https://bugs.webkit.org/show_bug.cgi?id=50173 [1]
  
  Revision  Changes    Path
  1.44      +2 -5      ports/www/webkit-gtk2/Makefile
  1.12      +2 -2      ports/www/webkit-gtk2/distinfo
  1.1       +18 -0     ports/www/webkit-gtk2/files/patch-Source_WebCore_plugins_gtk_PluginViewGtk.cpp (new)
  1.1       +22 -0     ports/www/webkit-gtk2/files/patch-Source_WebKit_gtk_webkit_webkitwebview.cpp (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Koop Mast freebsd_committer 2011-10-14 17:09:33 UTC
State Changed
From-To: open->closed

Committed thanks.